Commit fa716a5d authored by Ole Christian Eidheim's avatar Ole Christian Eidheim
Browse files

Updated cmake minimum required to 3.1

parent 404ac10a
Pipeline #235624054 passed with stages
in 16 minutes and 13 seconds
cmake_minimum_required(VERSION 3.0)
cmake_minimum_required(VERSION 3.1)
project(juci)
set(JUCI_VERSION "1.6.2")
......
Subproject commit b342f4dd6de4fe509a692a4b4fcfc7e24aae9590
Subproject commit 1cdedf78937e659860e38d1cc51b182a30d24012
......@@ -340,7 +340,7 @@ void Window::set_menu_actions() {
// Depending on default_build_management_system, generate build configuration
if(Config::get().project.default_build_management_system == "cmake") {
build_config_path = project_path / "CMakeLists.txt";
build_config = "cmake_minimum_required(VERSION 2.8)\n\nproject(" + project_name + ")\n\nset(CMAKE_C_FLAGS \"${CMAKE_C_FLAGS} -std=c11 -Wall -Wextra\")\n\nadd_executable(" + project_name + " main.c)\n";
build_config = "cmake_minimum_required(VERSION 3.1)\n\nproject(" + project_name + ")\n\nset(CMAKE_C_FLAGS \"${CMAKE_C_FLAGS} -std=c11 -Wall -Wextra\")\n\nadd_executable(" + project_name + " main.c)\n";
}
else if(Config::get().project.default_build_management_system == "meson") {
build_config_path = project_path / "meson.build";
......@@ -390,7 +390,7 @@ void Window::set_menu_actions() {
// Depending on default_build_management_system, generate build configuration
if(Config::get().project.default_build_management_system == "cmake") {
build_config_path = project_path / "CMakeLists.txt";
build_config = "cmake_minimum_required(VERSION 2.8)\n\nproject(" + project_name + ")\n\nset(CMAKE_CXX_FLAGS \"${CMAKE_CXX_FLAGS} -std=c++1y -Wall -Wextra\")\n\nadd_executable(" + project_name + " main.cpp)\n";
build_config = "cmake_minimum_required(VERSION 3.1)\n\nproject(" + project_name + ")\n\nset(CMAKE_CXX_FLAGS \"${CMAKE_CXX_FLAGS} -std=c++1y -Wall -Wextra\")\n\nadd_executable(" + project_name + " main.cpp)\n";
}
else if(Config::get().project.default_build_management_system == "meson") {
build_config_path = project_path / "meson.build";
......
cmake_minimum_required(VERSION 2.8)
cmake_minimum_required(VERSION 3.1)
add_compile_options(-O0 -g)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment